Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class SortExpression

    java.lang.Object
      com.google.appengine.api.search.SortExpression

    public final class SortExpression

extends java.lang.Object

Sorting specification for a single dimension. Multi-dimensional sorting is supported by a collection of SortExpressions.

Nested Class Summary
`static class` | `SortExpression.Builder` A builder that constructs `SortExpressions`.

Method Summary
`java.lang.String` | `getDefaultValue()`
`java.lang.Double` | `getDefaultValueNumeric()`
`com.google.appengine.api.search.SortExpression.SortDirection` | `getDirection()`
`java.lang.String` | `getExpression()`
`int` | `getLimit()`
`static SortExpression.Builder` | `newBuilder()` Creates and returns a SortExpression Builder.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLimit

    public int getLimit()

  Returns:
    the maximum number of top retrieved results to score

### getExpression

    public java.lang.String getExpression()

  Returns:
    the expression to evaluate for each document and sort by

### getDirection

    public com.google.appengine.api.search.SortExpression.SortDirection getDirection()

  Returns:
    the direction to sort the search results in

### getDefaultValue

    public java.lang.String getDefaultValue()

  Returns:
    the default value for the field. Can be null

### getDefaultValueNumeric

    public java.lang.Double getDefaultValueNumeric()

  Returns:
    the default numeric value for the field. Can be null

### newBuilder

    public static SortExpression.Builder newBuilder()

  Creates and returns a SortExpression Builder.

  Returns:
    a new `SortExpression.Builder`. Set the parameters for the sort specification on the Builder, and use the `SortExpression.Builder.build()` method to create a concrete instance of SortExpression

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD